Em-Hub Wiki Android Docs iOS Docs Support

- Index
- Hierarchy

# EMConnectionListManager Class Reference

Inherits from | NSObject
Conforms to | EMConnectionTypeScannerDelegate
Declared in | EMConnectionListManager.h EMConnectionListManager.m

## Overview

EMConnectionListManager is a singleton class used for viewing a list of devices available for interaction.

## Tasks

### Other Methods

- `devices`

  @property devices A list of devices that has been discovered as available by the connection list manager

  property
- `filterPredicate`

  @property filterPredicate A filter that allows only devices conforming to the predicate to be visible

  property
- `updating`

  @property updating A boolean value indicating whether or not the connection list manager is actively updating the devices list

  property
- `updateRate`

  @property updateRate updateRate determines the scan frequency for discovering devices

  property
- `automaticallyConnectsToLastDevice`

  @param automaticallyConnectsToLastDevice A boolean value indicating whether or not the connection list manager should automatically connect to the last device it was connected to if it encounters it in a scan.

  property
- `+ sharedManager`

  Use the +sharedManager to get the singleton, shared instance of EMConnectionListManager

- `– deviceBasicDescriptionForDeviceNamed:`

  Retrieve a device description for a given unique identifier

- `– startUpdating`

  Tells the connection list manager to begin actively looking for devices to interact with.

- `– stopUpdating`

  Tells the connection list manager to stop looking for devices to interact with.

- `– reset`

  Manually clears out all devices on the connection list manager.

- `– isBluetoothAvailable`

  Detect if Bluetooth is available

- `– addConnectionTypeToUpdates:`

  Add your own connection type outside of bluetooth low energy

- `– removeConnectionToFromUpdates:`

  Remove your own connection type outside of bluetooth low energy

### Other Methods

- `– deviceScanner:didFindDevice:`

  Tells the delegate a device was found.

- `– deviceScanner:didLoseDevice:`

  Tells the delegate a device was lost.

- `– deviceScanner:didUpdateDevice:`

  Updates the data for a device description

## Properties

### automaticallyConnectsToLastDevice

@param automaticallyConnectsToLastDevice A boolean value indicating whether or not the connection list manager should automatically connect to the last device it was connected to if it encounters it in a scan.

`@property (nonatomic) BOOL automaticallyConnectsToLastDevice`

#### Discussion

@param automaticallyConnectsToLastDevice A boolean value indicating whether or not the connection list manager should automatically connect to the last device it was connected to if it encounters it in a scan.

#### Declared In

`EMConnectionListManager.h`

### devices

@property devices A list of devices that has been discovered as available by the connection list manager

`@property (nonatomic, strong, readonly) NSArray *devices`

#### Discussion

@property devices A list of devices that has been discovered as available by the connection list manager

#### Declared In

`EMConnectionListManager.h`

### filterPredicate

@property filterPredicate A filter that allows only devices conforming to the predicate to be visible

`@property (nonatomic, strong) NSPredicate *filterPredicate`

#### Discussion

@property filterPredicate A filter that allows only devices conforming to the predicate to be visible

#### Declared In

`EMConnectionListManager.h`

### updateRate

@property updateRate updateRate determines the scan frequency for discovering devices

`@property (nonatomic) NSTimeInterval updateRate`

#### Discussion

@property updateRate updateRate determines the scan frequency for discovering devices

#### Declared In

`EMConnectionListManager.h`

### updating

@property updating A boolean value indicating whether or not the connection list manager is actively updating the devices list

`@property (nonatomic, getter=isUpdating, readonly) BOOL updating`

#### Discussion

@property updating A boolean value indicating whether or not the connection list manager is actively updating the devices list

#### Declared In

`EMConnectionListManager.h`

## Class Methods

### sharedManager

Use the +sharedManager to get the singleton, shared instance of EMConnectionListManager

`+ (EMConnectionListManager *)sharedManager`

#### Discussion

Use the +sharedManager to get the singleton, shared instance of EMConnectionListManager

#### Declared In

`EMConnectionListManager.h`

## Instance Methods

### addConnectionTypeToUpdates:

Add your own connection type outside of bluetooth low energy

`- (void)addConnectionTypeToUpdates:(id<EMConnectionType>)connectionType`

#### Discussion

Add your own connection type outside of bluetooth low energy

#### Declared In

`EMConnectionListManager.h`

### deviceBasicDescriptionForDeviceNamed:

Retrieve a device description for a given unique identifier

`- (EMDeviceBasicDescription *)deviceBasicDescriptionForDeviceNamed:(NSString *)name`

#### Parameters

name

  The name of the device

#### Discussion

Retrieve a device description for a given unique identifier

#### Declared In

`EMConnectionListManager.h`

### deviceScanner:didFindDevice:

Tells the delegate a device was found.

`- (void)deviceScanner:(id<EMConnectionType>)scanner didFindDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Tells the delegate a device was found.

#### Declared In

`EMConnectionType.h`

### deviceScanner:didLoseDevice:

Tells the delegate a device was lost.

`- (void)deviceScanner:(id)scanner didLoseDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Tells the delegate a device was lost.

#### Declared In

`EMConnectionType.h`

### deviceScanner:didUpdateDevice:

Updates the data for a device description

`- (void)deviceScanner:(id)scanner didUpdateDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Updates the data for a device description

#### Declared In

`EMConnectionType.h`

### isBluetoothAvailable

Detect if Bluetooth is available

`- (BOOL)isBluetoothAvailable`

#### Discussion

Detect if Bluetooth is available

#### Declared In

`EMConnectionListManager.h`

### removeConnectionToFromUpdates:

Remove your own connection type outside of bluetooth low energy

`- (void)removeConnectionToFromUpdates:(id<EMConnectionType>)connectionType`

#### Discussion

Remove your own connection type outside of bluetooth low energy

#### Declared In

`EMConnectionListManager.h`

### reset

Manually clears out all devices on the connection list manager.

`- (void)reset`

#### Discussion

Manually clears out all devices on the connection list manager.

#### Declared In

`EMConnectionListManager.h`

### startUpdating

Tells the connection list manager to begin actively looking for devices to interact with.

`- (void)startUpdating`

#### Discussion

Tells the connection list manager to begin actively looking for devices to interact with.

#### Declared In

`EMConnectionListManager.h`

### stopUpdating

Tells the connection list manager to stop looking for devices to interact with.

`- (void)stopUpdating`

#### Discussion

Tells the connection list manager to stop looking for devices to interact with.

#### Declared In

`EMConnectionListManager.h`

- Index
- Hierarchy

© 2014 Emmoco, Inc.. All rights reserved. (Last updated: 2014-02-21)
Generated by appledoc 2.2 (build 961).